/*!
 * Start Bootstrap - wmtp.bitbucket.io v1.3.2 (https://dhasdk.com)
 * Copyright 2013-2021 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/dha-sdk-wiki-page/blob/master/LICENSE)
 */

body,
html {
  width: 100%;
  height: 100%;
}

body {
  font-family: 'Merriweather', 'Helvetica Neue', Arial, sans-serif;
}

hr {
  max-width: 50px;
  border-width: 3px;
  border-color: #023977;
}

hr.light {
  border-color: #fff;
}

a {
  color: #023977;
  transition: all 0.2s;
}

a:hover {
  color: #023976;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

.bg-primary {
  background-color: #023977 !important;
}

.bg-dark {
  background-color: #212529 !important;
}

.text-faded {
  color: rgba(255, 255, 255, 0.7);
}

section {
  padding: 8rem 0;
}

.section-heading {
  margin-top: 0;
}

::selection {
  color: #fff;
  background: #212529;
  text-shadow: none;
}

img::selection {
  color: #fff;
  background: transparent;
}

img::-moz-selection {
  color: #fff;
  background: transparent;
}

#mainNav {
  border-bottom: 1px solid rgba(33, 37, 41, 0.1);
  background-color: #fff;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
  transition: all 0.2s;
}

#mainNav .navbar-brand {
  font-weight: 700;
  color: #023977;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

#mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
  color: #023976;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
  font-size: .9rem;
  font-weight: 700;
  color: #212529;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
  color: #023977;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link.active,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus.active {
  color: #023977 !important;
  background-color: transparent;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link.active:hover,
#mainNav .navbar-nav > li.nav-item > a.nav-link:focus.active:hover {
  background-color: transparent;
}

@media (min-width: 992px) {
  #mainNav {
    border-color: transparent;
    background-color: transparent;
  }
  #mainNav .navbar-brand {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: #fff;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link {
    padding: 0.5rem 1rem;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
  }
  #mainNav.navbar-shrink {
    border-bottom: 1px solid rgba(33, 37, 41, 0.1);
    background-color: #fff;
  }
  #mainNav.navbar-shrink .navbar-brand {
    color: #023977;
  }
  #mainNav.navbar-shrink .navbar-brand:focus, #mainNav.navbar-shrink .navbar-brand:hover {
    color: #023976;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus {
    color: #212529;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #023977;
  }
}

#reactModulesMainNav {
  border-bottom: 1px solid rgba(33, 37, 41, 0.1);
  background-color: #fff;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
  transition: all 0.2s;
}

#reactModulesMainNav .navbar-brand {
  font-weight: 700;
  color: #023977;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

#reactModulesMainNav .navbar-brand:focus, #reactModulesMainNav .navbar-brand:hover {
  color: #023976;
}

#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link,
#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus {
  font-size: .9rem;
  font-weight: 700;
  color: #212529;
}

#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:hover,
#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
  color: #023977;
}

#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link.active,
#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus.active {
  color: #023977 !important;
  background-color: transparent;
}

#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link.active:hover,
#reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus.active:hover {
  background-color: transparent;
}

@media (min-width: 992px) {
  #reactModulesMainNav {
    border-color: transparent;
    background-color: transparent;
  }
  #reactModulesMainNav .navbar-brand {
    color: rgba(255, 255, 255, 0.7);
  }
  #reactModulesMainNav .navbar-brand:focus, #reactModulesMainNav .navbar-brand:hover {
    color: #fff;
  }
  #reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link {
    padding: 0.5rem 1rem;
  }
  #reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link,
  #reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    color: rgba(255, 255, 255, 0.7);
  }
  #reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:hover,
  #reactModulesMainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
  }
  #reactModulesMainNav.navbar-shrink {
    border-bottom: 1px solid rgba(33, 37, 41, 0.1);
    background-color: #fff;
  }
  #reactModulesMainNav.navbar-shrink .navbar-brand {
    color: #023977;
  }
  #reactModulesMainNav.navbar-shrink .navbar-brand:focus, #reactModulesMainNav.navbar-shrink .navbar-brand:hover {
    color: #023976;
  }
  #reactModulesMainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link,
  #reactModulesMainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus {
    color: #212529;
  }
  #reactModulesMainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:hover,
  #reactModulesMainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #023977;
  }
}

header.masthead {
  padding-top: 10rem;
  padding-bottom: calc(10rem - 56px);
  background-image: url("../img/header.jpg");
  background-position: center center;
  background-size: cover;
}

header.masthead hr {
  margin-top: 30px;
  margin-bottom: 30px;
}

header.masthead h1 {
  font-size: 2rem;
}

header.masthead p {
  font-weight: 300;
}

@media (min-width: 768px) {
  header.masthead p {
    font-size: 1.15rem;
  }
}

@media (min-width: 992px) {
  header.masthead {
    height: 100vh;
    min-height: 650px;
    padding-top: 0;
    padding-bottom: 0;
  }
  header.masthead h1 {
    font-size: 3rem;
  }
}

@media (min-width: 1200px) {
  header.masthead h1 {
    font-size: 4rem;
  }
}

.service-box {
  max-width: 400px;
}

#gspanServiceBox {
  max-width: 100%;
}

.portfolio-box {
  position: relative;
  display: block;
  max-width: 650px;
  margin: 0 auto;
  text-align: center;
}

.portfolio-box .portfolio-box-caption {
  position: absolute;
  bottom: 0;
  display: block;
  width: 100%;
  height: 100%;
  text-align: center;
  opacity: 0;
  color: #fff;
  background: rgba(2, 57, 119, 0.9);
  transition: all 0.2s;
}

.portfolio-box .portfolio-box-caption .portfolio-box-caption-content {
  position: absolute;
  top: 50%;
  width: 100%;
  transform: translateY(-50%);
  text-align: center;
}

.portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-category,
.portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-name {
  padding: 0 15px;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

.portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-category {
  font-size: 14px;
  font-weight: 600;
  text-transform: uppercase;
}

.portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-name {
  font-size: 18px;
}

.portfolio-box:hover .portfolio-box-caption {
  opacity: 1;
}

.portfolio-box:focus {
  outline: none;
}

@media (min-width: 768px) {
  .portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-category {
    font-size: 16px;
  }
  .portfolio-box .portfolio-box-caption .portfolio-box-caption-content .project-name {
    font-size: 22px;
  }
}

body {
  font-family: 'Roboto';
  font-size: 17px;
  overflow-x: hidden;
}

#bodyWrapper {
  width: 100vw;
  overflow-x: hidden;
}

a:hover {
  text-decoration: none;
}

section {
  padding: 4rem 0;
  background-color: whitesmoke;
}

.blue-border {
  margin-top: -5px;
  margin-left: -5px;
  border: 1px solid #023977;
  border-radius: 5px;
}

.benefit-icon {
  float: left;
  width: 30%;
}

.benefit-description {
  float: left;
  width: 70%;
}

.redUnderline {
  color: red;
  border-bottom: 5px solid red;
}

.card {
  border-radius: 10px;
}

.text-primary {
  color: #023977 !important;
}

.btn {
  font-weight: 700;
  text-transform: uppercase;
  border: none;
  border-radius: 300px;
  font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

.btn-xl {
  padding: 1rem 2rem;
}

.btn-primary {
  background-color: #023977;
  border-color: #023977;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active {
  color: #fff;
  background-color: #022d5e !important;
}

.btn-primary:active, .btn-primary:focus {
  box-shadow: 0 0 0 0.2rem rgba(240, 95, 64, 0.5) !important;
}

.col-centered {
  float: none;
  margin: 0 auto;
}

.link-bottom-right {
  position: absolute;
  bottom: 0;
  right: 0;
}

.blue-border-left {
  border-left: 1px solid #023977;
}

.background-red {
  background-color: red;
  border-radius: 10px;
}

#dhaTitle {
  text-shadow: 3px 3px 0 #000;
}

#dhaDescription {
  text-shadow: 1px 1px 0 #000;
}

#minRequirements {
  padding: 4rem 0;
  padding-bottom: 0;
}

#packages {
  background-color: #497FB5;
}

#packagesHeading {
  padding-top: 10px;
}

#packagesContainer {
  background-color: #497FB5;
}

#applicationsHeading {
  padding-top: 10px;
}

#gspanList {
  list-style-type: none;
}

#tutorial {
  background-color: #497FB5;
}

#continousIntegrationContainer {
  background-color: whitesmoke;
}

#applications {
  background-image: url("../img/codeBackground.png");
  padding: 10rem 0;
}

#sampleApplications {
  background-color: white;
}

.nav-link-item {
  color: #868e96;
  font-weight: 700;
}

.nav-link-item:hover {
  box-shadow: inset 0 -2px 0 0 #771213;
  color: #023977;
}

.nav-link-item.nav-link.active {
  color: #023977 !important;
}

.card-logo {
  height: 50px;
  object-fit: contain;
  object-position: 0 0;
}

@media (min-width: 768px) {
  #wmt-applications .card-title {
    min-height: 3rem;
  }
  #wmt-applications .card-text {
    min-height: 10.9375rem;
  }
}

@media (min-width: 992px) {
  #mainNav {
    border-color: transparent;
    background-color: transparent;
  }
  #mainNav .navbar-brand {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: #fff;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link {
    padding: 0.5rem 1rem;
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    color: rgba(255, 255, 255, 0.7);
  }
  #mainNav .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #fff;
    box-shadow: inset 0 -2px 0 0 #771213;
  }
  #mainNav.navbar-shrink {
    border-bottom: 1px solid rgba(33, 37, 41, 0.1);
    background-color: #fff;
  }
  #mainNav.navbar-shrink .navbar-brand {
    color: #023977;
  }
  #mainNav.navbar-shrink .navbar-brand:focus, #mainNav.navbar-shrink .navbar-brand:hover {
    color: #023976;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus {
    color: #212529;
  }
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:hover,
  #mainNav.navbar-shrink .navbar-nav > li.nav-item > a.nav-link:focus:hover {
    color: #023977;
  }
  #wmt-applications .card-text {
    min-height: 12.5rem;
  }
}

@media (min-width: 1200px) {
  #wmt-applications .card-text {
    min-height: 9.375rem;
  }
}
